> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a module

> Creates a new module in a project.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="project_id" type="string" required>The unique identifier of the project.</ParamField>

## Body parameters

<ParamField body="name" type="string" required>
  Name of the module.
</ParamField>

<ParamField body="description" type="string">
  Description of the module.
</ParamField>

<ParamField body="start_date" type="string">
  Start date of the module in YYYY-MM-DD format.
</ParamField>

<ParamField body="target_date" type="string">
  Target date of the module in YYYY-MM-DD format.
</ParamField>

<ParamField body="status" type="string">
  Status of the module. Possible values: `backlog`, `planned`, `in-progress`, `paused`, `completed`, `cancelled`.
</ParamField>

<ParamField body="lead" type="string">
  ID of the user who leads the module.
</ParamField>

<ParamField body="members" type="string[]">
  Array of member user IDs to assign to the module.
</ParamField>

<ParamField body="external_source" type="string">
  External source identifier.
</ParamField>

<ParamField body="external_id" type="string">
  External ID from the external source.
</ParamField>
